Java atualizado no Ubuntu 9.10

Publicado por André em 29/01/2010

[ Hits: 15.332 ]

 


Java atualizado no Ubuntu 9.10



Normalmente para instalar o Java no Ubuntu a maioria dos usuários utilizam os comandos "apt-get install sun-java6-plugin" ou "aptitude install sun-java6-plugin". Acontece que esses pacotes nem sempre estão atualizados. Por isso vou mostrar um passo-a-passo de como deixar o plugin do Java atualizado.

É muito simples! Primeiro baixe o pacote sun-java6-plugin pela forma tradicional:

# apt-get install sun-java6-plugin

Baixe o binário no site do Java selecionando Linux (self-extracting file) ou Linux x64 se seu sistema for 64bits.

Depois dê permissão de execução no arquivo:

# chmod 755 <diretório-em-que-vc-baixou>/jre-6u18-linux-i586.bin

Execute o binário dentro do diretório em que você baixou (no exemplo, estou entrando no diretório /opt):

# cd /opt
# ./jre-6u18-linux-i586.bin


Aperte <espaço> várias vezes até chegar no final, tecle "y" e dê "enter" para iniciar a extração.

Será criado um diretório com o nome "jre1.6.0_18" (o nome pode variar dependendo da atualização) no mesmo diretório do arquivo binário.

Em seguida exclua a pasta /usr/lib/jvm/java-6-sun/jre/ com o comando:

# rm -r /usr/lib/jvm/java-6-sun/jre/

Renomeie a pasta "jre1.6.0_18" para "jre" e substitua a que você excluiu:

# mv jre1.6.0_18 /usr/lib/jvm/java-6-sun/jre/

Pronto! Acesse a página principal do java (java.com) e clique no link "Tenho o java?" para confirmar que tudo está ok.

É isso aí galera, espero ter ajudado!

Outras dicas deste autor
Nenhuma dica encontrada.
Leitura recomendada

De volta a década de 1980 com o Atari

Caixa Econômica Federal no Fedora 20 - Java 8 Oracle, Plugins e Certificados

Plugin do Java no Iceweasel AMD64

GlassFish vs Apache

OpenJDK 7 em Debians-like - Como instalar corretamente

  

Comentários
[1] Comentário enviado por robertoprb em 29/01/2010 - 09:30h

Muito bom, funcionou perfeitamente!!!!

[2] Comentário enviado por crascgap em 26/02/2010 - 11:38h

Olá. Eu fiz o comando ./jre-6u18-linux-i586.bin (com o arquivo já executável), clico em "yes" mas a aparece a seguinte msg de erro:

erro: Dependências não satisfeitas:
/bin/basename é requerido por jre-1.6.0_18-fcs.i586
/bin/cat é requerido por jre-1.6.0_18-fcs.i586
/bin/cp é requerido por jre-1.6.0_18-fcs.i586
/bin/gawk é requerido por jre-1.6.0_18-fcs.i586
/bin/grep é requerido por jre-1.6.0_18-fcs.i586
/bin/ln é requerido por jre-1.6.0_18-fcs.i586
/bin/ls é requerido por jre-1.6.0_18-fcs.i586
/bin/mkdir é requerido por jre-1.6.0_18-fcs.i586
/bin/mv é requerido por jre-1.6.0_18-fcs.i586
/bin/pwd é requerido por jre-1.6.0_18-fcs.i586
/bin/rm é requerido por jre-1.6.0_18-fcs.i586
/bin/sed é requerido por jre-1.6.0_18-fcs.i586
/bin/sort é requerido por jre-1.6.0_18-fcs.i586
/bin/touch é requerido por jre-1.6.0_18-fcs.i586
/usr/bin/cut é requerido por jre-1.6.0_18-fcs.i586
/usr/bin/dirname é requerido por jre-1.6.0_18-fcs.i586
/usr/bin/expr é requerido por jre-1.6.0_18-fcs.i586
/usr/bin/find é requerido por jre-1.6.0_18-fcs.i586
/usr/bin/tail é requerido por jre-1.6.0_18-fcs.i586
/usr/bin/tr é requerido por jre-1.6.0_18-fcs.i586
/usr/bin/wc é requerido por jre-1.6.0_18-fcs.i586
/bin/sh é requerido por jre-1.6.0_18-fcs.i586

Só que isso é absurdo pois possuo todos esses comandos do /bin e /usr/bin
Meu computador tem rm, ls, pwd, etc etc

Minha distro é um Ubuntu 9.04 e o jre-1.6.0_18-fcs.i586 (acho q esse fcd é Fedora não ?) não está conseguindo achar nada nas pastas de superusuário.
Ah sim: é claro q eu executei sudo ./jre-6u18-linux-i586.bin
Eu entrei dentro do script para fazer alterações, mas o código dele é binário (não há o q fazer)


Any ideas folks ?

[3] Comentário enviado por removido em 26/04/2010 - 13:58h

Tem que empacotar no formato .deb agora pra ficar legal e otimizar todo o trabalho!

Dá uma olhada nesse link:

http://wiki.ubuntu-br.org/Java

Abraços!

[4] Comentário enviado por alaxricard em 02/05/2010 - 18:14h

amigo naum esta pegando naum no meu Ubuntu 10.04 a instalação do jeito que vc fala amigo e ai o que eu faço maluco.



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts